import type { Game } from "../game"
import type { SceneDefinitionBase } from "../../shared/script/types"
import type { SessionId } from "../session"

export interface SceneType<DefinitionT extends SceneDefinitionBase, StateT extends SceneState> {
    id: DefinitionT["type"]
    createState(game: Game, definition: DefinitionT): StateT
}

export interface SceneState<EventT = any> {
    getConnectionEvents(): EventT[]
    removePlayer(sessionId: SessionId): void
}
