import { defineConfig, transformerDirectives } from "unocss"
import { presetWind, colors } from "@unocss/preset-wind3"

export default defineConfig({
	presets: [
		presetWind({
			arbitraryVariants: true,
			preflight: true
		})
	],
	theme: {
		fontFamily: {
			"normal": `"Inter Variable", sans-serif`
		},
		colors: {
			transparent: "transparent",
			white: colors.white,
			black: colors.black,
			gray: colors.zinc,
			light: colors.light,
			dark: colors.dark,
			red: colors.rose,
			yellow: colors.yellow,
			green: colors.green,
			blue: colors.indigo,
		}
	},
	transformers: [
		transformerDirectives()
	]
})
