import { defineConfig } from "vite"
import vuePlugin from "@vitejs/plugin-vue"
import iconsPlugin from "unplugin-icons/vite"
import unoCssPlugin from "unocss/vite"

export default defineConfig({
    plugins: [
        vuePlugin(),
        iconsPlugin(),
        unoCssPlugin()
    ],
    server: {
        proxy: {
            "/trpc": "http://localhost:3000",
            "/ws": {
                target: "http://localhost:3000",
                ws: true
            }
        }
    }
})
